<?php
namespace Repository;

interface IGenericRepository
{
    public function getItemById(int $id);
    public function GetNbItems(): int;
    public function GetItems(int $index, int $count, ?string $orderingPropertyName = null, bool $descending = false): array;
    public function GetItemsByName(string $substring, int $index, int $count, ?string $orderingPropertyName = null, bool $descending = false): array;
    public function GetItemByName(string $substring, int $index, int $count, ?string $orderingPropertyName = null, bool $descending = false);
    public function UpdateItem($oldItem, $newItem) : void;
    public function AddItem($item) : void;
    public function DeleteItem($item): bool;
}

?>